apiVersion: apps/v1
kind: Deployment
metadata:
  name: event-worker
  labels:
    {{- include "desq_zone.labels" $ | nindent 4 }}
spec:
  replicas: 1
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app: event-worker
  template:
    metadata:
      labels:
        app: event-worker
    spec:
      securityContext:
        runAsUser: 1001
      containers:
        - name: event-worker
          image: {{$.Values.imageEventWorker}}
          imagePullPolicy: Always
          resources:
            requests:
              memory: "64Mi"
              cpu: "50m"
            limits:
              memory: "64Mi"
              cpu: "200m"
          env:
            - name: DESQ_NETWORK
              value: {{$.Values.network}}
            - name: DESQ_ZONE
              value: {{$.Values.zone.name}}
            - name: DESQ_EVENT_DB_HOST
              value: acid-event-db
            - name: DESQ_EVENT_DB_USERNAME
              valueFrom:
                secretKeyRef:
                  name: event-worker.acid-event-db.credentials.postgresql.acid.zalan.do
                  key: username
            - name: DESQ_EVENT_DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: event-worker.acid-event-db.credentials.postgresql.acid.zalan.do
                  key: password
      terminationGracePeriodSeconds: 300 # Long grace period to let the worker finish gracefully
      restartPolicy: Always
